package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.HKmEntity;
import io.renren.modules.app.entity.SfdwEntity;
import io.renren.modules.app.entity.SqwxzqEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.XzdyFwxxSdEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzTempEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 维修资金预交复核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface WxzjyjfhDao extends BaseMapper<XzdyFwxxSdEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param
	 * @return
	 */

	List<ZhxxEntity> selectlistglb();

	ZhxxEntity selectldpd(String ldbm);

	void updateld(ZhxxEntity zhxxentity);

	List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);

	// 点击查看按钮
	YwpzEntity selectck(Map<String, String> map);

	List<DhbmyjEntity> selectyjmx(String id);

	// 查询该条单据预交的审核状态
	YwpzEntity selectfhzt(String id);

	// 审核
	void updatefhzt(DhbmyjEntity d);

	ZhxxEntity selectzhxx(String id);

	void updatezhxx(ZhxxEntity zhxxEntity);

	// 取消审核
	void updateqxsh(String id);

	Double selectfwbydh(String id);

	void updatezhsfdz(ZhxxEntity zhxxEntity);

	void updatezhsfdz2(ZhxxEntity zhxxEntity);

	List<XlkEntity> selectdw();

	List<XlkEntity> selectmhdw(@Param(value = "_mhdwz") String _mhdwz);

	List<XlkEntity> selectxlkxq(@Param(value = "_pt") String _pt);

	List<XlkEntity> selectyhxx();

	List<XlkEntity> selectjsfs();

	SfdwEntity selectdwxx(String id);

	void updatedwzckje(SfdwEntity sfdwEntity);

	List<YwpzEntity> selectyjmxyw(String id);

	List<XlkEntity> selecthskm();

	ZhxxEntity selectyjyjje(String id);

	void insertwxjjyj(ZhxxEntity zhxxEntity);

	void updatewxjjyj(ZhxxEntity zhxxEntity);

	ZhxxEntity selectmxje(String id);

	List<ZhxxEntity> selectzh();

	List<FwxxEntity> selectyjfwxx();

	FwxxEntity selectfw(String id);

	void updatefwsfyj(String id);

	List<SqwxzqEntity> selectsqrq();

	void updatesqrq(SqwxzqEntity sqwxzqEntity);

	List<XmEntity> selectxm();
	
	HKmEntity selectkmbyxq(String id);
	
	void updatexmkfskm(XmEntity xmEntity);
	
	List<SqwxzqEntity> selectsqje();
	
	void updatespje(SqwxzqEntity sqwxzqEntity);
	
	List<YwpzEntity> selectywpzdjrq();
	
	void updateywpzdjrq(YwpzEntity ywpzEntity);
	
	List<FwxxEntity> selectfwxxall(String id);
	
	List<YwpzEntity> selectfzhsdj(String id);
	
	void insertfzhsmx(YwpzEntity ywpzEntity);
	
	void deletefzhsdj(String id);
	
	List<YwpzEntity> selectzyxqmc(String id);

	List<YwpzEntity> selectzyxmmc(String id);

	List<YwpzEntity> selectzydhmc(String id);
	
	List<YwpzEntity> selectkjqjbydjbh(String id);
	
	List<YwpzEntity> selectfffff(String id);
	
	YwpzEntity selectqcye(YwpzEntity ywpzEntity);
	
	void updatefzhsye(YwpzEntity ywpzEntity);
	
	void updatefzhsye111(YwpzEntity ywpzEntity);
	
	List<YwpzEntity> selectfzhsye(String id);
	
	void insertfzhsye(YwpzEntity ywpzEntity);
	
	String ywkjqj(String id);
	
	String selectmaxkjqj();
	
	void insertfzhsmx1dw01(YwpzEntity ywpzEntity);
}
